/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    BLOG
    Styles du blog
*/

/*
  00 - GÉNÉRAL
  01 - ARCHIVE
  02 - CARD
  03 - SINGLE
*/



/* -----------------
  01 - ARCHIVE
----------------- */

.page-hero--blog .page-hero__text {
    text-align: center;
    margin-bottom: 30px;
}

.list-categories {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 12px;
}

.list-categories__categorie a {
    display: inline-block;
    background-color: var(--c-quaternary);
    color: var(--c-primary);
    padding: 6px 10px;
}

    /* Active */
    .list-categories__categorie.active a {
        background-color: var(--c-primary);
        color: var(--white);
    }

.blog__listing {
    margin-bottom: 40px;
}



/* -----------------
  02 - CARD
----------------- */

.card-blog {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.card-blog__picture {
    position: relative;
    background-color: var(--gray-200);
    margin-bottom: 12px;
    aspect-ratio: 2 / 1;
}

    @media (min-width: 992px) {
        .card-blog__picture {
            height: 200px;
            aspect-ratio: 16 / 9;
        }
    }

    @media (min-width: 1200px) {
        .card-blog__picture {
            height: 275px;
        }
    }

/* Image par défaut */
.card-blog__picture.contain > a {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.card-blog__picture.contain img {
    max-width: 75%;
    max-height: 75%;
}

.card-blog__categories {
    position: absolute;
    bottom: 0;
    left: 0;
    display: inline-block;
    background-color: var(--c-quaternary);
    color: var(--c-primary);
    font-size: 1.2rem;
    font-weight: 300;
    padding: 6px 10px;
}

    /* Si plusieurs catégories */
    .card-blog__categories span:not(:last-child)::after {
        content: ",";
    }

.card-blog__text {
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: flex-start;
    color: var(--c-secondary);
}

.card-blog__title {
    color: var(--c-secondary);
    font-size: 1.8rem;
    font-weight: 300;
    line-height: 1.5;
    margin-bottom: 8px;
}

.card-blog__description {
    font-size: 1.4rem;
    font-weight: 300;
    margin-bottom: 12px;
}
